HPE OneView
cancel
Showing results for 
Search instead for 
Did you mean: 

Oneview upgrade from 4.20.02 to 5.00.00.02 fails

 
Highlighted
Regular Advisor

Oneview upgrade from 4.20.02 to 5.00.00.02 fails

Trying to upgrade my 4.20.02-0395878 Oneview appliance to 5.00.00.02.  Upgrade makes it to 66% then throws up error "Oneview is unable to start".  When I expand details (screen shot attached) I see authentication errors, invalid session token error and message the rabbit-mq server is not running.  I'm seeing this on the vm console.  On the actual web interface, I see that the progress continues to 90% then the appliance reboots and reverts back to 4.20.02 version.  I've tried this twice with the exact same results and then, even though not needed, installed the pre-upgrade and tried to 5.00.00.02 upgrade again with same failure.  The upgrade file I'm using is HPE_OneView_5.00.00.02_Update_Z7550-96791.bin.  AOneview error1.jpgny ideas?

5 REPLIES 5
Highlighted
HPE Pro

Re: Oneview upgrade from 4.20.02 to 5.00.00.02 fails

As your appliance is currently down, please do not use the forums here and open a support case.  This isn't something that can be addressed here, and requires someone from our support center to assist you.


I am an HPE employee

Accept or Kudo

Highlighted
Regular Advisor

Re: Oneview upgrade from 4.20.02 to 5.00.00.02 fails

Its not down.  AFter the failure, it reverts to the original version

 

 

Highlighted
Regular Advisor

Re: Oneview upgrade from 4.20.02 to 5.00.00.02 fails

Oneview error2.jpg

Here's the message.  I do have a support case open as well

Highlighted
HPE Pro

Re: Oneview upgrade from 4.20.02 to 5.00.00.02 fails

Well, at least your appliance isn't down, so that is good (but not what the first screenshot showed).  While you do have a support case open, one thing you can do is run our newly release HPE OneView Update Readiness Checker tool, which you can get here.  To use it, you must have atleast 4.20 appliance (which you do have, but others reading this thread might not), and execute it against your appliance.  This is non-disruptive, and will create a task on the appliance.  Within the appliance, it will perform some common, basic health checks and report to you why an update might not be successful.  The support engineer could take this and help resolve the issue with you.  Do know we have plans to incorporate this utility within the update installer experience in the future.


I am an HPE employee

Accept or Kudo

Highlighted
Regular Advisor

Re: Oneview upgrade from 4.20.02 to 5.00.00.02 fails

Support dump says its a database issue.  They have escalated it to an L2 case.